TAU_PHASE_START(3)

NAME
TAU_PHASE_START - Enters a phase.

SYNOPSIS

C/C++:

TAU_PHASE_START(Phase phase);

Fortran:

TAU_PHASE_START(integer phase(2));

DESCRIPTION

TAU_PHASE_START enters a phase. Phases can be nested, but not overlapped.

EXAMPLE

C/C++ :

int f2(void)
{
  TAU_PHASE_CREATE_STATIC(t2,"IO Phase", "", TAU_USER);
  TAU_PHASE_START(t2);
  input();
  output();
  TAU_PHASE_STOP(t2);
  return 0;
}

Fortran :

subroutine F2()
  integer phase(2) / 0, 0 /
  save    phase
  call TAU_PHASE_CREATE_STATIC(phase,'IO Phase')
  call TAU_PHASE_START(phase)
  call INPUT()
  call OUTPUT()
  call TAU_PHASE_STOP(phase)
end

SEE ALSO

TAU_PHASE_CREATE_STATIC(3), TAU_PHASE_CREATE_DYNAMIC(3), TAU_PHASE_STOP(3)